Package org.sonatype.maven.polyglot.groovy

# Class GroovyModelWriter

java.lang.Object
org.sonatype.maven.polyglot.io.ModelWriterSupport
org.sonatype.maven.polyglot.groovy.GroovyModelWriter

All Implemented Interfaces:
  `org.apache.maven.model.io.ModelWriter`

@Component(role=org.apache.maven.model.io.ModelWriter.class, hint="groovy") public class GroovyModelWriter extends ModelWriterSupport
Writes a Maven `Model` to a `pom.groovy`.

Since:
  0.7
Author:
  Jason Dillon

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.codehaus.plexus.logging.Logger`
`log`

## Constructor Summary

Constructors
Constructor
Description
`GroovyModelWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(Writer output, Map<String,Object> options, org.apache.maven.model.Model model)`

### Methods inherited from class org.sonatype.maven.polyglot.io.ModelWriterSupport

`write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Requirement protected org.codehaus.plexus.logging.Logger log

## Constructor Details

### GroovyModelWriter

public GroovyModelWriter()

## Method Details

### write

public void write(Writer output, Map<String,Object> options, org.apache.maven.model.Model model) throws IOException

Throws:
  `IOException`